org.springframework.mock.http

## Class MockHttpOutputMessage

- java.lang.Object
- - org.springframework.mock.http.MockHttpOutputMessage

All Implemented Interfaces:
  HttpMessage, HttpOutputMessage

Direct Known Subclasses:
  MockClientHttpRequest

    public class MockHttpOutputMessage
    extends Object
    implements HttpOutputMessage

Mock implementation of `HttpOutputMessage`.

Since:
  3.2
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`MockHttpOutputMessage()`

### Method Summary

Methods
`OutputStream` `getBody()` Return the body content.
`byte[]` `getBodyAsBytes()` Return body content as a byte array.
`String` `getBodyAsString()` Return the body content interpreted as a UTF-8 string.
`String` `getBodyAsString(Charset charset)` Return the body content as a string.
`HttpHeaders` `getHeaders()` Return the headers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockHttpOutputMessage

    public MockHttpOutputMessage()

### Method Detail

#### getHeaders

    public HttpHeaders getHeaders()

Return the headers.

Specified by:
  `getHeaders` in interface `HttpMessage`
Returns:
  a corresponding HttpHeaders object

#### getBody

    public OutputStream getBody()
                         throws IOException

Return the body content.

Specified by:
  `getBody` in interface `HttpOutputMessage`
Returns:
  the output stream body
Throws:
  `IOException` - in case of I/O Errors

#### getBodyAsBytes

    public byte[] getBodyAsBytes()

Return body content as a byte array.

#### getBodyAsString

    public String getBodyAsString()

Return the body content interpreted as a UTF-8 string.

#### getBodyAsString

    public String getBodyAsString(Charset charset)

Return the body content as a string.

Parameters:
  `charset` - the charset to use to turn the body content to a String